package BeastBB::Constants;

use 5.30.3;

use strict;
use warnings;

use Exporter qw/import/;
use Const::Fast;

our @EXPORT_OK =
  ( '&HomeDir', '&HomeConfigDir', '&ConfigFile', '&SecretDefaultSize' );

sub HomeDir {
    return Mojo::File->new( $ENV{HOME} );
}
sub HomeConfigDir {
    return HomeDir->child( '.config', 'beastbb' );
}
sub ConfigFile {
    return HomeConfigDir->child('BeastBB.conf');
}
sub SecretDefaultSize {
    return 64;
}
1;
