package BeastBB::Controller::Main;

use 5.30.3;

use strict;
use warnings;

use Mojo::Base 'BeastBB::Controller';

sub Index {
    my $self                 = shift;
    my $error                = $self->param('error');
    my $maybe_logged_in_user = $self->LoggedUser;
    if ( $maybe_logged_in_user->IsError ) {
        delete $self->session->{username}
          if $maybe_logged_in_user =~ qr/No such user found\./;
    }
    $self->stash( error => $error );
    $self->stash(
        user => !$maybe_logged_in_user->IsError
        ? $maybe_logged_in_user->Content
        : undef
    );
    $self->render;
}
1;
