use 5.32.1;

use Test::Most tests => 3;

use strict;
use warnings;

use Const::Fast;

const my %REQUIRED_FIELDS_GROUP => ( groupname => 'example_group' );

{
    use_ok 'BeastBB::Model::Group';
}

{
    my $group = BeastBB::Model::Group->new(%REQUIRED_FIELDS_GROUP);
    ok $group->isa('BeastBB::Model::Group'),
      'Group is made of BeastBB::Model::Group.';
    is_deeply $group->Hash, \%REQUIRED_FIELDS_GROUP,
      'The generated hash of group is correct.';
}
